Package org.openoffice.da.comp.writer2latex

# Class TeXify

java.lang.Object
org.openoffice.da.comp.writer2latex.TeXify

public final class TeXify extends Object
This class builds LaTeX documents into DVI, Postscript or PDF and displays the result.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`DVIPS`
Backend format dvips (postscript)
`static final short`
`GENERIC`
Backend format generic (dvi)
`static final short`
`PDFTEX`
Backend format pdfTeX (pdf)
`static final short`
`XETEX`
Backend format XeTeX (also pdf, usually)

## Constructor Summary

Constructors
Constructor
Description
`TeXify(com.sun.star.uno.XComponentContext xContext)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`process(File file, String sBibinputs, short nBackend, boolean bView)`
Process a document.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERIC

public static final short GENERIC
Backend format generic (dvi)

See Also:
  - Constant Field Values

### DVIPS

public static final short DVIPS
Backend format dvips (postscript)

See Also:
  - Constant Field Values

### PDFTEX

public static final short PDFTEX
Backend format pdfTeX (pdf)

See Also:
  - Constant Field Values

### XETEX

public static final short XETEX
Backend format XeTeX (also pdf, usually)

See Also:
  - Constant Field Values

## Constructor Details

### TeXify

public TeXify(com.sun.star.uno.XComponentContext xContext)

## Method Details

### process

public boolean process(File file, String sBibinputs, short nBackend, boolean bView) throws IOException
Process a document. This will either (depending on the registry settings) do nothing, build with LaTeX or build with LaTeX and preview

Parameters:
  `file` - the LaTeX file to process
  `sBibinputs` - value for the BIBINPUTS environment variable (or null if it should not be extended)
  `nBackend` - the desired backend format (generic, dvips, pdftex)
  `bView` - set the true if the result should be displayed in the viewer
Returns:
  true if the first LaTeX run was successful
Throws:
  `IOException` - if the document cannot be read